puppet für Leap 15?

Diese Seite verwendet Cookies. Durch die Nutzung unserer Seite erklären Sie sich damit einverstanden, dass wir Cookies setzen. Weitere Informationen

Hinweis: In dem Thema puppet für Leap 15? gibt es 8 Antworten. Der letzte Beitrag () befindet sich ganz unten auf dieser Seite.
  • puppet für Leap 15?

    Hallo,

    ich habe bisher und möchte auch in Zukunft gerne meine openSuSE/Sles-Istallationen mit puppet managen. Das Problem ist, das SuSE ja weg von puppet auf dem Weg zu Salt ist. Für SLES12 gibts aber bei puppet.com selbst ein funktionierenden Paket.

    Für openSuSE Leap 15 gibts weder bei SuSE noch bei puppet.com etwas passendes. Ich habe dann probeweise mal das SLES12-Paket von puppet.com verwendet.

    Leider liefert dann auf Leap 15 facter an einigen zentralen Stellen (z:B. facter operatingsystem) bei leap z.B. nix bei SLES12 den korrekten Wert "SLES". Das ist bei einigen anderen "facts" ähnlich inkonsistent. Ist also nicht wirklich brauchbar in einer gemischten SLES/openSuSE/Ubuntu-Umgebung (SLES und Ubuntu sind ok, aber Leap 15 nicht).

    Schön wäre natürlich wenn openSuSE einfach das seit langer Zeit vorhandene puppet auch weiterhin mit in seinen Repos pflegen würde.

    Hat jemand sonst noch ne Idee wie man die Chamäleons alle zusammen mit puppet bändigen kann?

    Danke Rainer

    Für den Inhalt des Beitrages 121194 haftet ausdrücklich der jeweilige Autor: rainer42

  • Es ist zwar richtig das Leap15 auf dem zukünftigen SLES15 beruht, aber dieses Wissen hilft mir nicht dabei einen funktionierenden puppet client für LEAP 15 zu finden. Das SLES15 wohl kein puppet mehr macht sondern Salt favorisiert vermute ich das auch in SLES15 kein puppet client mehr mit drin sein wird, den man dann auch unter Leap 15 hätte verwenden könnte, oder?

    Für den Inhalt des Beitrages 121428 haftet ausdrücklich der jeweilige Autor: rainer42

  • Nichtsdestotrotz war der Link von Sauerland ok. Ich habe ihn für Dich noch etwas erweitert:

    Quellcode

    1. https://download.opensuse.org/repositories/systemsmanagement:/zlm:/zenpuppet/openSUSE_Leap_15.0/noarch/


    Oder wenn Du das Repo mit Zypper gleich ganz anhängen willst:

    Quellcode

    1. zypper ar https://download.opensuse.org/repositories/systemsmanagement:/zlm:/zenpuppet/openSUSE_Leap_15.0/ ZENPuppet

    Darin findest Du puppet für Leap-15

    Für den Inhalt des Beitrages 121429 haftet ausdrücklich der jeweilige Autor: wn48z

  • Oh sorry, den Link hatte ich nicht als Teil der Antwort erkannt und dadurch die Antwort nicht verstanden.

    Das verlinkte Repos hatte ich schon gesehen bevor ich hier gepostet hatte. Ich hatte daraus das Paket puppet installiert und festgestellt, das es leer ist, also keine Datei enthält. Wie sich nach Kontakt mit dem Autor heraustellte war das Absicht und die eigentlichen Dateien liegen im novell-zenworks-puppet-Paket des Repos. Nach der Installation dieses Pakets liegt dann alles unter /opt/novell/zenworks/{share,bin,lib}.


    Da mir das nicht wirklich gut gefiel, war ich hier noch auf die Suche gegangen nach einem Paket was puppet unter Standard-Pfaden installiert, was es dann aber eben nicht zu geben scheint.

    Viele Grüße
    Rainer

    Für den Inhalt des Beitrages 121430 haftet ausdrücklich der jeweilige Autor: rainer42

  • So, nu habe ich nochmal das zlm:/zenpuppet/openSUSE_Leap_15.0 repos genommen und puppet daraus installiert. Leider verhält sich facter auch hier nicht wie erwartet:

    /opt/novell/zenworks/bin/facter operatingsystem
    <leer>

    Bei anderen openSuSE bzw SLES-Versionen und Ubuntus ist das Ergebnis "OpenSuSE" bzw "SLES" auf Ubuntu 18.04 ist es "Ubuntu". Ähnlich verhält es sich mit:

    /opt/novell/zenworks/bin/facter osfamily
    Linux

    Normalerweise ist das Ergebnis bei OpenSuSE und SLES "SuSE" und bei Ubuntu 18.04 ist es "Debian".

    Auf Leap 15 ist einiges anders bei den puppet-facts, bei den Puppet-Installationen, die ich bisher probieren konnte. Das macht ein Versionsübergreifendes Systemmanagement recht schwer, was ja aber eigentlich der Sinn von puppet ist.

    Ich hatte auch mal ein puppet mittels:
    gem install puppet installieren lassen. Der dabei installierte facter macht aber auch vergleichbare Seltsamkeiten.

    Hat jemand mit den hier beschriebenen facts mit z.B. der zlm-Puppet-Version Erfolg? Kennt jemand eine puppet-Version für leap 15 bei der facter "normale" Werte liefert, für so grundlegende facts wie operatingssystem und osfamily?

    Danke
    Rainer

    Für den Inhalt des Beitrages 121434 haftet ausdrücklich der jeweilige Autor: rainer42

  • fabien69 schrieb:

    Ich habe genau die gleichen Probleme.
    Hast du nicht. Oder hast du genau identisch die selbe Hardware wie der Threadstarter? Ich glaube nicht. Und, wenn du ein Problem hast, eröffne einen eigenen Beitrag. Siehe auch hier:

    opensuse-forum.de/thread/36509…-posten-bitte-erst-lesen/

    Damit geschlossen.

    Für den Inhalt des Beitrages 123619 haftet ausdrücklich der jeweilige Autor: Alero

  • Und nur mal so nebenbei:
    Was ist mit selberbauen?
    Es gibt genug Anregungen (spec-Files) dafür.

    Muss man halt mal ein paar Pakete mehr bauen.......

    Und wenn man den OBS benutzt kann man branchen......
    Links in dieser Signatur bitte zum Lesen anklicken!

    Code-Tags <<<Klick mich
    zypper <<<Klick mich
    Netzwerkprobleme <<<Klick mich

    Für den Inhalt des Beitrages 123620 haftet ausdrücklich der jeweilige Autor: Sauerland